@PATH=C:\Program Files\Java\jdk1.7.0_02\bin;%PATH%
@rem
@rem Build SceneRender.jar and SceneLib.jar
pushd ..\SceneRender
cmd /C "Build.cmd"
popd
move /Y ..\SceneRender\SceneRenderLib.jar .
move /Y ..\SceneRender\SceneLib.jar .
del ..\Scene\*.class
del ..\Scene\SceneLib.jar
del ..\SceneRender\*.class
@rem
@rem Build Shape.jar
copy /Y SceneLib.jar ..\Shapes
pushd ..\Shapes
cmd /C "Build.cmd"
popd
move /Y ..\Shapes\ShapeLib.jar .
del ..\Shapes\*.class
del ..\Shapes\SceneLib.jar
@rem
@rem Build the applications
javac.exe -g -cp .;SceneLib.jar;SceneRenderLib.jar;              MainTriangle.java
javac.exe -g -cp .;SceneLib.jar;SceneRenderLib.jar;              MainCube.java
javac.exe -g -cp .;SceneLib.jar;SceneRenderLib.jar;              MainCubes.java
javac.exe -g -cp .;SceneLib.jar;SceneRenderLib.jar;              MainCylinder.java
javac.exe -g -cp .;SceneLib.jar;SceneRenderLib.jar;              MainSphere.java
javac.exe -g -cp .;SceneLib.jar;SceneRenderLib.jar;ShapeLib.jar  MainShapesColor.java
javac.exe -g -cp .;SceneLib.jar;SceneRenderLib.jar;ShapeLib.jar  MainShapesLighting.java
javac.exe -g -cp .;SceneLib.jar;SceneRenderLib.jar               MainTexture.java
javac.exe -g -cp .;SceneLib.jar;SceneRenderLib.jar               MainTextureCube.java